Bug 251381 - dns/powerdns-recursor: update to 4.4.2
Summary: dns/powerdns-recursor: update to 4.4.2
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://doc.powerdns.com/recursor/cha...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-25 15:48 UTC by Ralf van der Enden
Modified: 2020-12-17 19:58 UTC (History)
1 user (show)

See Also:


Attachments
Update PowerDNS Recursor to 4.4.1 (841 bytes, patch)
2020-11-25 15:48 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update PowerDNS Recursor to 4.4.2 (841 bytes, patch)
2020-12-15 19:29 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2020-11-25 15:48:11 UTC
Created attachment 219967 [details]
Update PowerDNS Recursor to 4.4.1

Release notes:
These releases fix a bug where a reply from an authoritative server could get lost, causing timeouts or ServFail answers to clients. Additionally, an issue resolving CNAMEs of the form a.b.c CNAME x.a.b.c when QName Minimization is enabled was fixed.

As usual, there were also other smaller enhancements and bugfixes.

Q&A:
testport: builds OK (amd64; 12.2-RELEASE)
portlint: OK (1 warning about pkg-plist length)
Comment 1 Automation User 2020-11-25 19:57:37 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/221209364
Comment 2 Ralf van der Enden 2020-12-15 19:29:18 UTC
Created attachment 220591 [details]
Update PowerDNS Recursor to 4.4.2
Comment 3 Ralf van der Enden 2020-12-15 19:30:17 UTC
In the meantime 4.4.2 was released, so updated the patch and changelog URL.

Builds fine on 12.2 (amd64)
Comment 4 Juraj Lutter freebsd_committer 2020-12-17 19:58:45 UTC
Update to 4.4.2 will be dealt with in bug #251923